sliceable-class {Rgb} | R Documentation

## Class `"sliceable"`

### Description

Reference classes extending this virtual class must have a `slice` method, as a generic `draw` method based on it is provided.

### Extends

Class `drawable`, directly.

All reference classes extend and inherit methods from `envRefClass`.

### Fields

The following fields are inherited (from the corresponding class):

- name (drawable)

- parameters (drawable)

### Methods

`slice(chrom, start, end)`:

  [Virtual method]
  Extract elements in the specified window, in a format suitable to draw().
  - chrom : single integer, numeric or character value, the chromosomal location. NA is not handled.
  - start : single integer or numeric value, inferior boundary of the window. NA is not handled.
  - end : single integer or numeric value, superior boundary of the window. NA is not handled.

The following methods are inherited (from the corresponding class):

- callParams (drawable)

- callSuper (envRefClass)

- check (drawable)

- chromosomes (drawable)

- copy (envRefClass)

- defaultParams (drawable, overloaded)

- draw (drawable, overloaded)

- export (envRefClass)

- field (envRefClass)

- fix.param (drawable)

- getChromEnd (drawable, overloaded)

- getClass (envRefClass)

- getName (drawable)

- getParam (drawable)

- getRefClass (envRefClass)

- import (envRefClass)

- initFields (envRefClass)

- initialize (drawable)

- setName (drawable)

- setParam (drawable)

- show (drawable, overloaded)

- trace (envRefClass)

- untrace (envRefClass)

- usingMethods (envRefClass)

### Author(s)

Sylvain Mareschal

### See Also

`drawable`, `crossable`, `cghRA.array`

[Package Rgb version 1.6.1 Index]